//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloERP
{
    using System;
    using System.Collections.Generic;
    
    public partial class CUSTOMER
    {
        public int ROWID { get; set; }
        public string ID { get; set; }
        public string NAME { get; set; }
        public string ADDR_1 { get; set; }
        public string ADDR_2 { get; set; }
        public string ADDR_3 { get; set; }
        public string CITY { get; set; }
        public string STATE { get; set; }
        public string ZIPCODE { get; set; }
        public string COUNTRY { get; set; }
        public string CONTACT_FIRST_NAME { get; set; }
        public string CONTACT_LAST_NAME { get; set; }
        public string CONTACT_INITIAL { get; set; }
        public string CONTACT_POSITION { get; set; }
        public string CONTACT_HONORIFIC { get; set; }
        public string CONTACT_SALUTATION { get; set; }
        public string CONTACT_PHONE { get; set; }
        public string CONTACT_FAX { get; set; }
        public string BILL_TO_NAME { get; set; }
        public string BILL_TO_ADDR_1 { get; set; }
        public string BILL_TO_ADDR_2 { get; set; }
        public string BILL_TO_ADDR_3 { get; set; }
        public string BILL_TO_CITY { get; set; }
        public string BILL_TO_STATE { get; set; }
        public string BILL_TO_ZIPCODE { get; set; }
        public string BILL_TO_COUNTRY { get; set; }
        public string DISCOUNT_CODE { get; set; }
        public string FREE_ON_BOARD { get; set; }
        public string SHIP_VIA { get; set; }
        public string SALESREP_ID { get; set; }
        public string TERRITORY { get; set; }
        public string CURRENCY_ID { get; set; }
        public string DEF_SLS_TAX_GRP_ID { get; set; }
        public string SIC_CODE { get; set; }
        public string IND_CODE { get; set; }
        public Nullable<decimal> FINANCE_CHARGE { get; set; }
        public string TAX_EXEMPT { get; set; }
        public string TAX_ID_NUMBER { get; set; }
        public string BACKORDER_FLAG { get; set; }
        public string TERMS_NET_TYPE { get; set; }
        public Nullable<short> TERMS_NET_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_NET_DATE { get; set; }
        public string TERMS_DISC_TYPE { get; set; }
        public Nullable<short> TERMS_DISC_DAYS { get; set; }
        public Nullable<System.DateTime> TERMS_DISC_DATE { get; set; }
        public Nullable<decimal> TERMS_DISC_PERCENT { get; set; }
        public string TERMS_DESCRIPTION { get; set; }
        public string FREIGHT_TERMS { get; set; }
        public string DUNNING_LETTERS { get; set; }
        public Nullable<System.DateTime> LAST_ORDER_DATE { get; set; }
        public Nullable<System.DateTime> OPEN_DATE { get; set; }
        public Nullable<System.DateTime> MODIFY_DATE { get; set; }
        public string USER_1 { get; set; }
        public string USER_2 { get; set; }
        public string USER_3 { get; set; }
        public string USER_4 { get; set; }
        public string USER_5 { get; set; }
        public string USER_6 { get; set; }
        public string USER_7 { get; set; }
        public string USER_8 { get; set; }
        public string USER_9 { get; set; }
        public string USER_10 { get; set; }
        public string SUPPLIER_ID { get; set; }
        public string CARRIER_ID { get; set; }
        public string TAX_ON_WHOLESALE { get; set; }
        public string DEF_RECV_ACCT_ID { get; set; }
        public string UDF_LAYOUT_ID { get; set; }
        public string ARRIVAL_CODE { get; set; }
        public string TRANS_CODE { get; set; }
        public string COUNTRY_ID { get; set; }
        public Nullable<int> NATURE_OF_TRANS { get; set; }
        public Nullable<int> MODE_OF_TRANSPORT { get; set; }
        public Nullable<decimal> SIRET_NUMBER { get; set; }
        public string VAT_REGISTRATION { get; set; }
        public string VAT_BOOK_CODE_I { get; set; }
        public string VAT_BOOK_CODE_M { get; set; }
        public string VAT_EXEMPT { get; set; }
        public string SHIPTO_ID { get; set; }
        public string RMA_REQUIRED { get; set; }
        public string CONTACT_MOBILE { get; set; }
        public string CONTACT_EMAIL { get; set; }
        public string DEF_TRANS_CURRENCY { get; set; }
        public string DEF_LBL_FORMAT_ID { get; set; }
        public string ACCEPT_EARLY { get; set; }
        public Nullable<short> DAYS_EARLY { get; set; }
        public string VAT_DISCOUNTED { get; set; }
        public string WEB_USER_ID { get; set; }
        public string WEB_PASSWORD { get; set; }
        public Nullable<short> PRIORITY { get; set; }
        public string LANGUAGE_ID { get; set; }
        public string BILL_LANGUAGE_ID { get; set; }
        public string DEF_ACK_ID { get; set; }
        public string PRIMARILY_EDI { get; set; }
        public string VAT_ALWAYS_DISC { get; set; }
        public string VAT_CODE { get; set; }
        public string VAT_OVERRIDE_SEQ { get; set; }
        public Nullable<int> RETURN_TRANS { get; set; }
        public string CASH_PERCENT_VAR { get; set; }
        public Nullable<decimal> CASH_MIN_VAR { get; set; }
        public Nullable<decimal> CASH_MAX_VAR { get; set; }
        public Nullable<decimal> TAKE_DISC_DAYS { get; set; }
        public string MARKET_ID { get; set; }
        public string CREDIT_CARD_ID { get; set; }
        public string WEB_URL { get; set; }
        public string UPS_ACCOUNT_ID { get; set; }
        public string GENERATE_ASN { get; set; }
        public string HOLD_TRANSFER_ASN { get; set; }
        public string CUSTOMS_DOC_PRINT { get; set; }
        public string SUPPRESS_AR_PRINT { get; set; }
        public string ACCEPT_830 { get; set; }
        public string ACCEPT_862 { get; set; }
        public string POOL_CODE { get; set; }
        public string INTER_CONSIGNEE { get; set; }
        public string CONSOL_SHIP_LINE { get; set; }
        public string PALLET_DETAILS_REQ { get; set; }
        public string MATCH_INV_TO_PACK { get; set; }
        public string ALLOW_OVER_PAYMNT { get; set; }
        public string ALLOW_ADJ_INVOICE { get; set; }
        public string DEF_GL_ACCT_ID { get; set; }
        public string LIQ_GL_ACCT_ID { get; set; }
        public string PBC_GL_ACCT_ID { get; set; }
        public string GENERATE_WSA { get; set; }
        public string HOLD_TRANSFER_WSA { get; set; }
        public string ACTIVE_FLAG { get; set; }
        public string SUPPRESS_PRINT_INV_NON_EDI { get; set; }
        public Nullable<System.DateTime> OPEN_OLDEST_RECV { get; set; }
        public System.DateTime STATUS_EFF_DATE { get; set; }
        public string PRICE_GROUP { get; set; }
        public string SUPPRESS_PRINT_CUST_STMT { get; set; }
        public string DEF_TERMS_ID { get; set; }
        public string CUSTOMER_GROUP_ID { get; set; }
        public string INTERNAL_CUSTOMER { get; set; }
        public string CONTACT_PHONE_EXT { get; set; }
        public string EMAIL_CUST_ON_NEW_ORDER { get; set; }
        public string EMAIL_CUST_ON_CHG_ORDER { get; set; }
        public string EMAIL_CUST_ON_SHIPMENT { get; set; }
        public string EMAIL_EMPL_ON_NEW_ORDER { get; set; }
        public string EMAIL_EMPL_ON_CHG_ORDER { get; set; }
        public string EMAIL_EMPL_ON_SHIPMENT { get; set; }
        public string EMAIL_EMPL_ON_INV_PAID { get; set; }
        public string CUSTOMER_COUNTRY_ID { get; set; }
        public string BILL_TO_COUNTRY_ID { get; set; }
    }
}
